Bug 492897 - denied { execmod } for comm="paraview-real" path="/usr/lib/libOSMesa.so.6.5.3" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file
denied { execmod } for comm="paraview-real" path="/usr/lib/libOSMesa.so.6.5....
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-30 11:52 EDT by Orion Poplawski
Modified: 2009-11-18 08:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-18 08:00:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-03-30 11:52:26 EDT
Description of problem:

Looks like the file contexts are for the old location:

[root@orca files]# grep OSMesa *
file_contexts:/usr/X11R6/lib/libOSMesa\.so.*    --      system_u:object_r:textrel_shlib_t:s0

Version-Release number of selected component (if applicable):
Comment 1 Miroslav Grepl 2009-04-07 09:32:56 EDT
Fixed in selinux-policy-3.5.13-55.fc10
Comment 2 Orion Poplawski 2009-04-16 12:18:34 EDT
Confirmed.  However, there is also libOSMesa16.so and libOSMesa32.so:

lrwxrwxrwx  root root system_u:object_r:lib_t:s0       /usr/lib/libOSMesa16.so.6 -> libOSMesa16.so.6.5.3
-rwxr-xr-x  root root system_u:object_r:lib_t:s0       /usr/lib/libOSMesa16.so.6.5.3
lrwxrwxrwx  root root system_u:object_r:lib_t:s0       /usr/lib/libOSMesa32.so.6 -> libOSMesa32.so.6.5.3
-rwxr-xr-x  root root system_u:object_r:lib_t:s0       /usr/lib/libOSMesa32.so.6.5.3
lrwxrwxrwx  root root system_u:object_r:lib_t:s0       /usr/lib/libOSMesa.so.6 -> libOSMesa.so.6.5.3
-rwxr-xr-x  root root system_u:object_r:textrel_shlib_t:s0 /usr/lib/libOSMesa.so.6.5.3

It doesn't look like anything in the distro uses them, but they all have text relocations:

[root@orca ~]# eu-readelf -d /usr/lib/libOSMesa.so.6 | grep TEXTREL
[root@orca ~]# eu-readelf -d /usr/lib/libOSMesa16.so.6 | grep TEXTREL
[root@orca ~]# eu-readelf -d /usr/lib/libOSMesa32.so.6 | grep TEXTREL
Comment 3 Daniel Walsh 2009-04-16 13:07:11 EDT
/usr/lib/libOSMesa\.so.*		--	gen_context(system_u:object_r:textrel_shlib_t,s0)

Is in rawhide.

Are these files in /usr/lib64 also?
Comment 4 Orion Poplawski 2009-04-16 13:19:50 EDT
(In reply to comment #3)
> /usr/lib/libOSMesa\.so.*  -- gen_context(system_u:object_r:textrel_shlib_t,s0)
> Is in rawhide.
> Are these files in /usr/lib64 also?  

Yes.  I think you want:

/usr/lib(64)?/libOSMesa*\.so.*  -- gen_context(system_u:object_r:textrel_shlib_t,s0)

to also get libOSMesa{16,32}.so.6
Comment 5 Orion Poplawski 2009-08-28 11:01:36 EDT
Looks like the libOSMesa{16,32}.so.6 contexts are fixed in F11, but not F10.
Comment 6 Miroslav Grepl 2009-09-02 04:48:44 EDT
You are right. I will fix it.

Comment 7 Bug Zapper 2009-11-18 06:38:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Daniel Walsh 2009-11-18 08:00:42 EST
Closing as current release

Note You need to log in before you can comment on or make changes to this bug.